<?php
// 1step-simplehtml.php
include_once 'app/cfg_app.php';

?>
<!DOCTYPE html>
<html lang="de">
<head>
	<title>micropayment Kreditkarten Demo</title>
	<meta charset="utf-8" />
	<meta name="description" content="micropayment GmbH - Kreditkarten Demo" />
	<meta name="author" content="micropayment GmbH" />
	<!-- Bootstrap Core CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	<!-- Custom CSS -->
	<link href="css/cc-spezial.css" rel="stylesheet" />

<!-- Script für die Tokenerstellung -->
	<script src=<?php _je($mp_js);?>
      debug=1
      form_submit="auto"
      autobill=1
      holder="holder_alias"
      pan="pan_alias"
      cvc="card_cvc"
      testmode=<?php _e($testMode);?>
      project=<?php _je($project);?>>
    </script>

	<script type="text/javascript">

		getElem = function(name) {
			return document.getElementById(name);
		}

		isReady = function() {
			console.log('isReady');
			Micropayment.amount(<?php _je($amount);?>,
					<?php _je($currency);?>,
					<?php _je($requestTime);?>,
					<?php _je($requestId);?>,
					<?php _je($secret);?>);
			Micropayment.prepare('', <?php _je($responseUrl);?>, '', 'dieId');
		}

		onError = function(e) {
			console.log('onError');
			console.log(e);
		}

		onSuccess = function(e) {
			console.log('onSuccess');
			console.log(e);
		}

		resetfields = function() {
			console.debug('reset');
			Micropayment.reset();
			getElem('holder_alias').value = '';
			getElem('month').value = 'Month';
			getElem('year').value = 'Year';
			Micropayment.complete();
		}

		panFocus = function() {
			var searchEles = document.getElementById("pan_alias").children;
			for(var i = 0; i < searchEles.length; i++) {
				if(searchEles[i].tagName == 'IFRAME') {
					searchEles[i].focus();
					console.debug('pan focus');
					break;
				}
			}
		}

		Micropayment.addEvent('ready', isReady);
		Micropayment.addEvent('error', onError);
		Micropayment.addEvent('success', onSuccess);
	</script>

</head>
<body>

		<form id="token-form"  action="echo.php"  method="POST">

			Name on Card: <input type="text" name="holder_alias" id="holder_alias" value="Mustermann" />
			<br>
			<br>
			<label for="pan_alias" onclick="panFocus()">Credit Card Number (click label)</label> <div id="pan_alias"></div><br>
			Expiration Date:
					<select name="month" id="month">
						<option>Month</option>
						<option value="01" selected>Jan (01)</option>
						<option value="02">Feb (02)</option>
						<option value="03">Mar (03)</option>
						<option value="04">Apr (04)</option>
						<option value="05">May (05)</option>
						<option value="06">June (06)</option>
						<option value="07">July (07)</option>
						<option value="08">Aug (08)</option>
						<option value="09">Sep (09)</option>
						<option value="10">Oct (10)</option>
						<option value="11">Nov (11)</option>
						<option value="12">Dec (12)</option>
					</select>
					<select name="year" id="year">
						<option>Year</option>
						<option value="15">2015</option>
						<option value="16">2016</option>
						<option value="17"  selected>2017</option>
						<option value="18">2018</option>
						<option value="19">2019</option>
						<option value="20">2020</option>
						<option value="21">2021</option>
						<option value="22">2022</option>
						<option value="23">2023</option>
					</select><br><br>
			Card CVV: <div id="card_cvc"></div>
			<br><br><br>
			<button type="submit" id="submit-button">Pay Now</button>
	</form>

<br>

<a href="#" onclick="resetfields()">reset</a>
</body>
</html>
<?php include 'app/tpl/inc.debug.php';?>