<?php
	set_time_limit(0);

	include_once 'app/cfg_app.php';
	require_once 'app/serviceclient/lib/init.php';
	require_once 'app/serviceclient/services/' . MCP__CREDITCARDSERVICE_INTERFACE . '.php';
	require_once MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php';

	function _r($name, $default = '', $prefix = 'card_') {
		$name = $prefix . $name;
		return isset($_REQUEST[$name]) ? $_REQUEST[$name] : $default;
	}


$debug = array();
$debug['start'] = date('Y-m-d H:i:s');

$time_start = microtime(true);
ob_start();
try {

	$key = MCP__ACCESSKEY;

    $check3dId = isset($_REQUEST['check3dId']) ? $_REQUEST['check3dId'] : $check3dId;
    if(empty($check3dId)){
        throw new Exception('empty check3dId');
    }

    // testMode aus der config wird überschrieben !
    $testMode = isset($_REQUEST['testMode']) ? (bool)$_REQUEST['testMode'] : false;

	$dispatcher = new TNvpServiceDispatcher(MCP__CREDITCARDSERVICE_INTERFACE, MCP__CREDITCARDSERVICE_NVP_URL);

    $res = $dispatcher->verify3dNotification($key, $testMode, $check3dId );
    if(empty($res)) throw new Exception('verify3dNotification Error');

    $debug['RESULT_VERIFY3DNOTIFICATION'] = $res;

    if($res['transactionStatus'] === 'SUCCESS'){
        // Purchase
        $sessionId = $res['sessionId'];
        $cvc2 = null;
        $fraudDetection = false;
        $avsCheck = false;
        $res = $dispatcher->transactionPurchase($key, $testMode,
            $sessionId,
            $cvc2,
            $fraudDetection,
            $avsCheck
        );
        if(empty($res)) throw new Exception('transactionPurchase Error');
        $debug['RESULT'] = $res;
    }

    $debug['STATUS'] = 'OK';


} catch (Exception $e) {
	$debug['STATUS'] = 'EXCEPTION';
	$debug['EXCEPTION'] = $e->getMessage();
	$debug['EXCEPTION_ID'] = $e->getCode();
}
$info = ob_get_contents();
ob_end_clean();
$debug['dauer'] = microtime(true) - $time_start;
$debug['info'] = $info;








?>
<!DOCTYPE html>
<html lang="de">
<head>
	<title>micropayment Kreditkarten Demo</title>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="micropayment GmbH - Kreditkarten Demo" />
	<meta name="author" content="micropayment GmbH" />

	<!-- Bootstrap Core CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />

	<!-- Custom CSS -->
	<link href="css/cc-spezial.css" rel="stylesheet" />

	<!-- Custom Fonts -->
	<link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />


</head>
<body>

<div class="container">
		<fieldset>




			<hr />
			<h4><small>© 2015 by <a href="http://www.micropayment.de" target="_blank">micropayment</a></small></h4>

		</fieldset>

</div>

<script src="js/jquery.js"></script>
<script src="js/bootstrap.min.js"></script>

<script>
	$(function () {
		$('[data-toggle="tooltip"]').tooltip()
	})
</script>
<a href='2step-3dsecure-api_a.php'>restart</a>
</body>
</html>
<?php include 'app/tpl/inc.debug.php';?>