<pre>
<?php

	set_time_limit(0);

	include_once 'cfg_app.php';
	require_once 'serviceclient/lib/init.php';
	require_once 'serviceclient/services/' . MCP__CREDITCARDSERVICE_INTERFACE . '.php';
	require_once MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php';


	$key = MCP__ACCESSKEY;

	$cryptId = isset($_REQUEST['dieId']) ? strip_tags( substr($_REQUEST['dieId'], 0, 150) ) : '';

    $testMode = (substr($cryptId, 0, 1) == '1') ? true : false;

	$debug = array();


try {
	echo date('Y-m-d H:i:s') . "\n";
	$time_start = microtime(true);

	$dispatcher = new TNvpServiceDispatcher(MCP__CREDITCARDSERVICE_INTERFACE, MCP__CREDITCARDSERVICE_NVP_URL);

	$e = null;
	ob_start();
	try {
		$res = $dispatcher->transactionGetCrypt($key, $testMode, $cryptId);
	} catch (Exception $e) {}
	$debug['info'] = ob_get_contents();
	ob_end_clean();
	if($e !== null) throw $e;


	if(empty($res)) throw new Exception('Transaction invalid');

	echoc("Funktion erfolgreich ausgeführt\n", 'green');

	$debug['Result'] = $res;
	if($res['status'] == 'SUCCESS') {
		if($res['type'] == 'PURCHASE') {
			$msg = 'Buchung war erfolgreich. Es wurden ' . ($res['amountBooked']/100) . ' ' . $res['currencyBooked'] . ' gebucht.';
		}elseif($res['type'] == 'AUTHORIZATION') {
			$msg = 'Reservierung war erfolgreich. Es wurden ' . ($res['amountBooked']/100) . ' ' . $res['currencyBooked'] . ' reserviert.';
		} else {
			$msg = $res['type'] . ' war erfolgreich.';
		}
		echoc($msg, 'green');
		echoc('ResultMessage: ' . $res['transactionResultMessage'], 'green');
	} else {
		if($res['type'] == 'PURCHASE') {
			$msg = 'Buchung ist gescheitert.';
		}elseif($res['type'] == 'AUTHORIZATION') {
			$msg = 'Reservierung ist gescheitert.';
		} else {
			$msg = 'Vorgang ist gescheitert.';
		}
		echoc($msg, 'red');
		$msg = strstr($res['transactionResultMessage'], "\n", true);
		if(empty($msg)) $msg = $res['transactionResultMessage'];
		echoc('Fehlermeldung: ' . $msg, 'red');
	}

	$debug['STATUS'] = 'OK';
} catch (Exception $e) {
	print_r($e);
	$debug['STATUS'] = 'EXCEPTION';
	$debug['EXCEPTION'] = $e->getMessage();
	$debug['EXCEPTION_ID'] = $e->getCode();
}
include 'tpl/inc.debug.php';